Bug 20057 - System encoding map doesn't cater for Redhat Japanese
System encoding map doesn't cater for Redhat Japanese
Product: Red Hat Linux
Classification: Retired
Component: tcltk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2000-10-30 14:50 EST by Jeff Johnson
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-30 14:50:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Johnson 2000-10-30 14:50:40 EST
Keiichi Takahashi wrote:
> > Right, 8.3.2 is 8.3.1 + XIM Patch (Tcl-side at least), as well as
> > at least one locale patch (I'm not sure which you are referring to).
> I mean, in the case of RedHat Linux 6.2J, XIM works with Tcl/Tk8.3.2
> extra XIM patch, but in the case of RedHat Linux 7J, Tcl/Tk8.3.2 needs
Tk-side> XIM patch in order to work XIM. That is a reason why I had to
modify 8.3.1's
> patch for 8.3.2.

OK, that means something changed in RedHat between 6 and 7 that somehow
affects the X Input Methods stuff.  Perhaps the XFree86 bumping?  Change
of headers?  Unfortunately, I don't have a RH7 install yet, but I'm
cc'ing a couple RedHat guys to see if this rings a bell.

> And, locale patch for ja_JP.eucJP is required, since ja_JP.ujis is no
> available on RedHat Linux 7J.

This is the eucJP -> euc-jp tclUnixInit.c mapping, or the locale
patch that was made for 8.3.2 already?

> Generally, ja_JP.eucJP is recommended name of locale when we use EUC-JP,
> ja_JP.ujis.
> Both ja_JP.ujis and ja_JP.eucJP are the same meaning of locale as EUC-JP,
> most of Japanese locale on Linux are defined by ja_JP.eucJP. Tcl has
> in tcl/unix/tclUnixInit.c, but no ja_JP.eucJP. That causes a problem to
> Japanese font.
> > Yes, or easier just grab a snapshot:
> >         ftp://ftp.scriptics.com/pub/tcl/nightly-cvs/
> >
> > Please note that the official 8.4a2 is due out next week (assuming
> > noone else finds major things to throw in my way, like acquisitions
> > and the like ;^) ).
Comment 1 Eido Inoue 2001-02-13 14:38:46 EST
ja_JP.eucJP patch applied.

Note You need to log in before you can comment on or make changes to this bug.